## ----- Install options -----
ZAF_ROOT_DIR = ../../..
CC = CC
LINK = CC
CC_FLAGS =
LINK_FLAGS =
CPP_EXTENSION = .cpp
INCLUDE_DIRS =
LIB_DIRS = -L/usr/lib/Motif1.2 -L/usr/lib/X11R5
GUI_LIBS = -lXm -lXt -lX11
LIBS = -lm

## ----- General options -----
CF_INCLUDE_DIR = ../../include
ALL_INCLUDE_DIRS = -I. -I$(ZAF_ROOT_DIR)/include -I$(CF_INCLUDE_DIR) $(INCLUDE_DIRS)
ALL_LIB_DIRS = -L$(ZAF_ROOT_DIR)/lib $(LIB_DIRS)
ALL_LIBS = -lcfzaf -lZafMtfP -lZafMtf $(GUI_LIBS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(ALL_INCLUDE_DIRS) -c $<

posix: cfz_attr 

clean:
	-rm -f *.o core cfz_attr

cfz_attr: atr_main.o atr_chrt.o
	$(LINK) $(LINK_FLAGS) -o $@ atr_main.o atr_chrt.o $(ALL_LIB_DIRS) $(ALL_LIBS)

